This endpoint lists all transactions for a customer's pockets. It provides a comprehensive view of all financial activities.
It returns a paginated list of Transaction objects, which can be of various types (ACH, WIRE, CARD, etc.).
It does not include transactions between the bank account and brokerage account.
Security
CodeBearer(Required scopes: pockets.read)
- Sandbox serverhttps://customer-api.sandbox-api.jikoservices.com/api/v2/transactions/
- Production serverhttps://api.business.jiko.io/api/v2/transactions/
curl -i -X GET \
'https://customer-api.sandbox-api.jikoservices.com/api/v2/transactions/?cursor=&limit=30&order=desc&pocket%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&portal%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&card%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&type%5B%5D=ACH&on_us_transfer%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&wire%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&time_booked_from=2019-08-24T14%3A15%3A22Z&time_booked_to=2019-08-24T14%3A15%3A22Z&amount_to=0&amount_from=0&direction=DEBIT' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "prev_page": "string", "next_page": "string", "items": [ { … } ], "object_type": "CursorList" }